Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 868123002: Reset gesture detection upon page navigation for Aura (Closed)

Created:
4 years, 10 months ago by lanwei
Modified:
4 years, 10 months ago
CC:
chromium-reviews, creis+watch_chromium.org, yusukes+watch_chromium.org, yukishiino+watch_chromium.org, nasko+codewatch_chromium.org, jam, penghuang+watch_chromium.org, sievers+watch_chromium.org, jbauman+watch_chromium.org, nona+watch_chromium.org, darin-cc_chromium.org, kalyank, piman+watch_chromium.org, danakj+watch_chromium.org, James Su, Rick Byers
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Reset gesture detection upon page navigation for Aura In order to stop the gesture events to be generated and sent while navigating to a different page on the main frame or the window loses focus, we decide to cancel all the active touch events on the current Aura window before the touch release event. BUG=418402 Committed: https://crrev.com/9d343ad2ea6ec395c377a4efa266057155bfa9c1 Cr-Commit-Position: refs/heads/master@{#315705}

Patch Set 1 : #

Total comments: 12

Patch Set 2 : Rename the method #

Total comments: 11

Patch Set 3 : #

Total comments: 4

Patch Set 4 : Change comment #

Messages

Total messages: 30 (11 generated)
lanwei
4 years, 10 months ago (2015-01-24 04:19:11 UTC) #7
tdresser
I thought we decided on giving RWHVB a "DidNavigate" method? We can't call the method ...
4 years, 10 months ago (2015-01-24 14:29:01 UTC) #8
jdduke (slow)
https://codereview.chromium.org/868123002/diff/60001/content/public/browser/render_widget_host_view.h File content/public/browser/render_widget_host_view.h (right): https://codereview.chromium.org/868123002/diff/60001/content/public/browser/render_widget_host_view.h#newcode141 content/public/browser/render_widget_host_view.h:141: // Cancel all the active touch events for the ...
4 years, 10 months ago (2015-01-26 16:09:00 UTC) #9
tdresser
On 2015/01/26 16:09:00, jdduke wrote: > https://codereview.chromium.org/868123002/diff/60001/content/public/browser/render_widget_host_view.h > File content/public/browser/render_widget_host_view.h (right): > > https://codereview.chromium.org/868123002/diff/60001/content/public/browser/render_widget_host_view.h#newcode141 > ...
4 years, 10 months ago (2015-01-26 16:23:26 UTC) #10
lanwei
https://codereview.chromium.org/868123002/diff/60001/content/browser/renderer_host/render_widget_host_view_aura.cc File content/browser/renderer_host/render_widget_host_view_aura.cc (right): https://codereview.chromium.org/868123002/diff/60001/content/browser/renderer_host/render_widget_host_view_aura.cc#newcode2142 content/browser/renderer_host/render_widget_host_view_aura.cc:2142: On 2015/01/24 14:29:00, tdresser wrote: > Get rid of ...
4 years, 10 months ago (2015-01-30 14:21:50 UTC) #12
tdresser
On 2015/01/30 14:21:50, lanwei wrote: > https://codereview.chromium.org/868123002/diff/60001/content/browser/renderer_host/render_widget_host_view_aura.cc > File content/browser/renderer_host/render_widget_host_view_aura.cc (right): > > https://codereview.chromium.org/868123002/diff/60001/content/browser/renderer_host/render_widget_host_view_aura.cc#newcode2142 > ...
4 years, 10 months ago (2015-01-30 14:37:24 UTC) #13
jdduke (slow)
https://codereview.chromium.org/868123002/diff/80001/content/browser/android/content_view_core_impl.cc File content/browser/android/content_view_core_impl.cc (right): https://codereview.chromium.org/868123002/diff/80001/content/browser/android/content_view_core_impl.cc#newcode1133 content/browser/android/content_view_core_impl.cc:1133: rwhv->OnMainFrameNavigation(); Oh, let's keep |ResetGestureDetection| in RWHVAndroid, and have ...
4 years, 10 months ago (2015-01-30 18:49:49 UTC) #14
sadrul
https://codereview.chromium.org/868123002/diff/80001/content/browser/renderer_host/render_widget_host_view_android.cc File content/browser/renderer_host/render_widget_host_view_android.cc (right): https://codereview.chromium.org/868123002/diff/80001/content/browser/renderer_host/render_widget_host_view_android.cc#newcode1261 content/browser/renderer_host/render_widget_host_view_android.cc:1261: OnMainFrameNavigation(); This feels wrong? Perhaps have ResetGestureDetector(), and call ...
4 years, 10 months ago (2015-02-03 01:26:16 UTC) #15
lanwei
On 2015/01/30 14:37:24, tdresser wrote: > On 2015/01/30 14:21:50, lanwei wrote: > > > https://codereview.chromium.org/868123002/diff/60001/content/browser/renderer_host/render_widget_host_view_aura.cc ...
4 years, 10 months ago (2015-02-03 19:54:23 UTC) #16
lanwei
https://codereview.chromium.org/868123002/diff/80001/content/browser/android/content_view_core_impl.cc File content/browser/android/content_view_core_impl.cc (right): https://codereview.chromium.org/868123002/diff/80001/content/browser/android/content_view_core_impl.cc#newcode1133 content/browser/android/content_view_core_impl.cc:1133: rwhv->OnMainFrameNavigation(); On 2015/01/30 18:49:48, jdduke wrote: > Oh, let's ...
4 years, 10 months ago (2015-02-04 21:10:06 UTC) #18
lanwei
nasko@chromium.org: Please review changes in Can you please take look at this issue, do you ...
4 years, 10 months ago (2015-02-04 21:12:05 UTC) #20
nasko
Adding kenrb@, since he is much more knowledgable about the interaction between WebContents and RenderWidgetHostView*. ...
4 years, 10 months ago (2015-02-04 22:02:42 UTC) #22
kenrb
I don't consider myself to be authoritative on this question, but I don't see a ...
4 years, 10 months ago (2015-02-04 22:37:25 UTC) #23
lanwei
https://codereview.chromium.org/868123002/diff/120001/content/browser/renderer_host/render_widget_host_view_aura.cc File content/browser/renderer_host/render_widget_host_view_aura.cc (right): https://codereview.chromium.org/868123002/diff/120001/content/browser/renderer_host/render_widget_host_view_aura.cc#newcode2669 content/browser/renderer_host/render_widget_host_view_aura.cc:2669: On 2015/02/04 22:02:42, nasko wrote: > nit: no need ...
4 years, 10 months ago (2015-02-05 20:08:27 UTC) #24
nasko
LGTM
4 years, 10 months ago (2015-02-05 22:58:22 UTC) #25
jdduke (slow)
On 2015/02/05 22:58:22, nasko wrote: > LGTM Android bits lgtm too!
4 years, 10 months ago (2015-02-11 00:57:28 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/868123002/140001
4 years, 10 months ago (2015-02-11 01:01:25 UTC) #28
commit-bot: I haz the power
Committed patchset #4 (id:140001)
4 years, 10 months ago (2015-02-11 01:46:10 UTC) #29
commit-bot: I haz the power
4 years, 10 months ago (2015-02-11 01:47:12 UTC) #30
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/9d343ad2ea6ec395c377a4efa266057155bfa9c1
Cr-Commit-Position: refs/heads/master@{#315705}

Powered by Google App Engine
This is Rietveld 408576698